Skip to main content
PUT
Update webhook

Use Case:

Update a registered webhook endpoint — change its URL, subscribed events, or signing secret. Use PATCH for partial updates.

Authorizations

Authorization
string
header
required

Use the required Token prefix. Example: Authorization: Token xxxxxxxxx

Path Parameters

id
string
required

Body

application/json
url
string
required
Example:

"https://your-app.com/webhook"

events
enum<string>[]
required
Available options:
email.find.bulk.completed,
phone.find.bulk.completed,
enrich.lead.bulk.completed,
enrich.company.bulk.completed
secret
string

Response

Webhook updated

id
string

Webhook identifier.

url
string

Your HTTPS endpoint that receives events.

events
string[]

Subscribed event types.

secret
string

Secret used for HMAC signature verification.

is_active
boolean
created_at
string<date-time>
updated_at
string<date-time>